<?php

namespace UnicaenDbImport\Service\Api;

use Psr\Container\ContainerInterface;
use Psr\Log\NullLogger;

class ApiServiceFactory
{
    /**
     * @param ContainerInterface $container
     * @return ApiService
     */
    public function __invoke(ContainerInterface $container): ApiService
    {
        $service = new ApiService();
        $service->setLogger(new NullLogger()); // logger par défaut

        return $service;
    }
}